Subject: Take Care of Your loved - ones, senior-Living Retirement communities.

From: "Senior Care" <[email-masked]>
Date: Tue, 4 Aug 2015 20:58:10 -0700

Take Care of Your loved - ones, senior-Living Retirement communities.